Debian Bug report logs - #321328
RM: aspseek -- RoQA, RC bugs, licensing issues, dead upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Thu, 4 Aug 2005 22:33:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matt Sullivan <aspseek@sullivan.gen.nz>, <wnpp@debian.org>:
Bug#321328; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Matt Sullivan <aspseek@sullivan.gen.nz>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: aspseek -- Advanced Internet search engine (Shared library)
Date: Fri, 05 Aug 2005 00:17:08 +0200
Package: wnpp
Severity: normal

The current maintainer of aspseek, Matt Sullivan <aspseek@sullivan.gen.nz>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: aspseek
Binary: aspseek-cgi, libaspseek-dev, aspseek, aspseek-cgi-common, aspseek-libmysqldb, aspseek-common, libapache-mod-aspseek, libaspseek0
Version: 1.2.10-1.1
Priority: extra
Section: misc
Maintainer: Matt Sullivan <aspseek@sullivan.gen.nz>
Build-Depends: debhelper (>= 2.1.0), libmysqlclient10-dev, zlib1g-dev, libtool, automake, autoconf, apache-dev
Architecture: any
Standards-Version: 3.5.5
Format: 1.0
Directory: pool/main/a/aspseek
Files: 10ffa9e1bed1ba38aab428918c470e9a 772 aspseek_1.2.10-1.1.dsc
 6456da9ef41ef32140f2c0c1f7944c40 1132473 aspseek_1.2.10.orig.tar.gz
 54e090ccc12e873546e44f18df0ce934 69581 aspseek_1.2.10-1.1.diff.gz

Package: aspseek
Priority: extra
Section: misc
Installed-Size: 1268
Maintainer: Matt Sullivan <aspseek@sullivan.gen.nz>
Architecture: i386
Version: 1.2.10-1.1
Depends: libc6 (>= 2.3.2.ds1-4), libgcc1 (>= 1:3.3.2-1), libstdc++5 (>= 1:3.3.2-1), zlib1g (>= 1:1.2.1), aspseek-common (= 1.2.10-1.1), aspseek-libmysqldb (= 1.2.10-1.1)
Filename: pool/main/a/aspseek/aspseek_1.2.10-1.1_i386.deb
Size: 410660
MD5sum: 626f987258e5e835c5ca096c5a4685eb
Description: Advanced Internet search engine (Backend programs)
 ASPseek is a full-featured medium-to-large scale SQL-based Internet search
 engine. It consists of an indexing robot, search daemon and search frontend
 (CGI program). These programs are written in C++ using the STL library.
 .
 Features of ASPseek include:
 .
   * Ability to index and search through several millions of documents
   * HTTP, HTTP proxy, FTP (via proxy) protocols
   * HTTP basic authorization
   * text/html and text/plain documents
   * Other document types support via external converters
   * Architecture optimized for multiple sites
   * Multithreaded
   * Async DNS resolver
   * Stopwords
   * UNICODE support (optional) to deal with many charsets at once
   * Charset guesser (optional)
   * Language guesser
   * Robot exclusion standard (robots.txt)
   * Settings to control network bandwidth usage and Web servers load
   * Real-time asynchronous indexing
   * Very good relevancy of results
   * Sorting results by relevance or by date
   * Smart results cache
   * Advanced search capabilities
   * Ispell support
   * Excerpts
   * Grouping results by site (optional)
   * Clones detection
   * Spaces and subsets
   * Query words highlighting in results
   * Cached compressed local copy of every indexed document
   * HTML templates for easy-to-customize search results
 .
 This package contains the backend indexing robot and search daemon.
 .
 The official ASPseek site is http://www.aspseek.org/
 .
 As ASPseek is a free software project, any type of contribution is
 very welcome.  Please send patches, bug reports, ideas etc. to
 the developers at <aseek@sw.com.sg>
Tag: protocol::http, use::searching

Package: aspseek-cgi
Priority: extra
Section: web
Installed-Size: 96
Maintainer: Matt Sullivan <aspseek@sullivan.gen.nz>
Architecture: i386
Source: aspseek
Version: 1.2.10-1.1
Depends: libaspseek0, libc6 (>= 2.3.2.ds1-4), aspseek-cgi-common (= 1.2.10-1.1), apache | httpd
Filename: pool/main/a/aspseek/aspseek-cgi_1.2.10-1.1_i386.deb
Size: 12384
MD5sum: 569c9ad56ed809fbbd7889686a9f0f4a
Description: Advanced Internet search engine (CGI)
 ASPseek is a full-featured medium-to-large scale SQL-based Internet search
 engine. It consists of an indexing robot, search daemon and search frontend
 (CGI program). These programs are written in C++ using the STL library.
 .
 This package contains the CGI frontend s.cgi.
 .
 The official ASPseek site is http://www.aspseek.org/
 .
 As ASPseek is a free software project, any type of contribution is
 very welcome.  Please send patches, bug reports, ideas etc. to
 the developers at <aseek@sw.com.sg>
Tag: protocol::http, use::searching

Package: aspseek-cgi-common
Priority: extra
Section: web
Installed-Size: 140
Maintainer: Matt Sullivan <aspseek@sullivan.gen.nz>
Architecture: all
Source: aspseek
Version: 1.2.10-1.1
Depends: aspseek-common (= 1.2.10-1.1)
Conflicts: aspseek-cgi (<< 1.2.9-1)
Filename: pool/main/a/aspseek/aspseek-cgi-common_1.2.10-1.1_all.deb
Size: 24970
MD5sum: 8d311286b6725cebc35858f70c8a46b0
Description: Advanced Internet search engine (Common Web files)
 ASPseek is a full-featured medium-to-large scale SQL-based Internet search
 engine. It consists of an indexing robot, search daemon and search frontend
 (CGI program). These programs are written in C++ using the STL library.
 .
 This package contains common files used by both s.cgi and mod_aspseek.
 .
 The official ASPseek site is http://www.aspseek.org/
 .
 As ASPseek is a free software project, any type of contribution is
 very welcome.  Please send patches, bug reports, ideas etc. to
 the developers at <aseek@sw.com.sg>
Tag: special::auto-inst-parts, protocol::http, use::searching

Package: aspseek-common
Priority: extra
Section: misc
Installed-Size: 1468
Maintainer: Matt Sullivan <aspseek@sullivan.gen.nz>
Architecture: all
Source: aspseek
Version: 1.2.10-1.1
Filename: pool/main/a/aspseek/aspseek-common_1.2.10-1.1_all.deb
Size: 583258
MD5sum: fa8acb551174439d71484ebd0719df28
Description: Advanced Internet search engine (Common files)
 ASPseek is a full-featured medium-to-large scale SQL-based Internet search
 engine. It consists of an indexing robot, search daemon and search frontend
 (CGI program). These programs are written in C++ using the STL library.
 .
 This package contains common files used by both the backend programs and
 the frontend CGI.
 .
 The official ASPseek site is http://www.aspseek.org/
 .
 As ASPseek is a free software project, any type of contribution is
 very welcome.  Please send patches, bug reports, ideas etc. to
 the developers at <aseek@sw.com.sg>
Tag: special::auto-inst-parts, protocol::http, use::searching

Package: aspseek-libmysqldb
Priority: extra
Section: libs
Installed-Size: 116
Maintainer: Matt Sullivan <aspseek@sullivan.gen.nz>
Architecture: i386
Source: aspseek
Version: 1.2.10-1.1
Depends: libc6 (>= 2.3.2.ds1-4), libgcc1 (>= 1:3.3.2-1), libmysqlclient10, libstdc++5 (>= 1:3.3.2-1)
Filename: pool/main/a/aspseek/aspseek-libmysqldb_1.2.10-1.1_i386.deb
Size: 25062
MD5sum: a8edf1c2aae4c1c18c05fe42c5c049bf
Description: Advanced Internet search engine (MySQL module)
 ASPseek is a full-featured medium-to-large scale SQL-based Internet search
 engine. It consists of an indexing robot, search daemon and search frontend
 (CGI program). These programs are written in C++ using the STL library.
 .
 This package contains the backend MySQL module.
 .
 The official ASPseek site is http://www.aspseek.org/
 .
 As ASPseek is a free software project, any type of contribution is
 very welcome.  Please send patches, bug reports, ideas etc. to
 the developers at <aseek@sw.com.sg>
Tag: protocol::http, use::searching

Package: libapache-mod-aspseek
Priority: extra
Section: web
Installed-Size: 60
Maintainer: Matt Sullivan <aspseek@sullivan.gen.nz>
Architecture: i386
Source: aspseek
Version: 1.2.10-1.1
Depends: libaspseek0, libc6 (>= 2.3.2.ds1-4), libdb4.1, libexpat1 (>= 1.95.6), zlib1g (>= 1:1.2.1), aspseek-cgi-common (= 1.2.10-1.1), apache-common (>= 1.3.9-14)
Conflicts: apache-common (<< 1.3.9-14)
Filename: pool/main/a/aspseek/libapache-mod-aspseek_1.2.10-1.1_i386.deb
Size: 8368
MD5sum: 8efd8e12841850b2e68f9b83815ab26b
Description: Advanced Internet search engine (Apache module)
 ASPseek is a full-featured medium-to-large scale SQL-based Internet search
 engine. It consists of an indexing robot, search daemon and search frontend
 (CGI program). These programs are written in C++ using the STL library.
 .
 This package contains the Apache module version of s.cgi.
 .
 The official ASPseek site is http://www.aspseek.org/
 .
 As ASPseek is a free software project, any type of contribution is
 very welcome.  Please send patches, bug reports, ideas etc. to
 the developers at <aseek@sw.com.sg>
Tag: protocols, suite::apache, interface::daemon, devel::library, net, role::sw-server, web::server, netcomm

Package: libaspseek-dev
Priority: extra
Section: libdevel
Installed-Size: 428
Maintainer: Matt Sullivan <aspseek@sullivan.gen.nz>
Architecture: i386
Source: aspseek
Version: 1.2.10-1.1
Depends: libaspseek0 (= 1.2.10-1.1), libc6-dev
Filename: pool/main/a/aspseek/libaspseek-dev_1.2.10-1.1_i386.deb
Size: 107046
MD5sum: ed0f1f805edea093c3df62806fa2a2c0
Description: Advanced Internet search engine (Development library)
 ASPseek is a full-featured medium-to-large scale SQL-based Internet search
 engine. It consists of an indexing robot, search daemon and search frontend
 (CGI program). These programs are written in C++ using the STL library.
 .
 This package contains the development version of the generic client C
 library used by both s.cgi and mod_aspseek.
 .
 The official ASPseek site is http://www.aspseek.org/
 .
 As ASPseek is a free software project, any type of contribution is
 very welcome.  Please send patches, bug reports, ideas etc. to
 the developers at <aseek@sw.com.sg>
Tag: devel::library

Package: libaspseek0
Priority: extra
Section: libs
Installed-Size: 292
Maintainer: Matt Sullivan <aspseek@sullivan.gen.nz>
Architecture: i386
Source: aspseek
Version: 1.2.10-1.1
Depends: libc6 (>= 2.3.2.ds1-4), libgcc1 (>= 1:3.3.2-1), libstdc++5 (>= 1:3.3.2-1)
Filename: pool/main/a/aspseek/libaspseek0_1.2.10-1.1_i386.deb
Size: 86622
MD5sum: 7c3f4e105d5d902faa1e7186d668853e
Description: Advanced Internet search engine (Shared library)
 ASPseek is a full-featured medium-to-large scale SQL-based Internet search
 engine. It consists of an indexing robot, search daemon and search frontend
 (CGI program). These programs are written in C++ using the STL library.
 .
 This package contains the generic client C library used by both
 s.cgi and mod_aspseek.
 .
 The official ASPseek site is http://www.aspseek.org/
 .
 As ASPseek is a free software project, any type of contribution is
 very welcome.  Please send patches, bug reports, ideas etc. to
 the developers at <aseek@sw.com.sg>
Tag: devel::library

Justification: No upload in over 3 years



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 321328-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 321328-close@bugs.debian.org
Cc: aspseek@packages.debian.org, aspseek@packages.qa.debian.org
Subject: Bug#321328: fixed
Date: Sun, 11 Sep 2005 11:46:02 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   aspseek | 1.2.10-1.1 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
aspseek-cgi | 1.2.10-1.1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
aspseek-cgi-common | 1.2.10-1.1 | all
aspseek-common | 1.2.10-1.1 | all
aspseek-libmysqldb | 1.2.10-1.1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libapache-mod-aspseek | 1.2.10-1.1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libaspseek-dev | 1.2.10-1.1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libaspseek0 | 1.2.10-1.1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 321328@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 21:15:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:56:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.